<?php
/* 
Plugin Name: Dashboard Zone
Plugin URI: http://www.dashboardzone.com/
Version: v1.10
Author: Mark Phillips of <a href="http://www.dashboardzone.com/">Dashboards</a> Zone and Nilesh Jethwa of <a href="http://www.infocaptor.com">Dashboard Software</a>
Description: A plugin to measure blog goals using dashboards with the intent of creating more reader interaction. <img src="http://chart.apis.google.com/chart?chs=225x125&cht=gom&chd=t:70&chl=DashboardZone">
 
Copyright 2007  DashboardZone  (email : dashboardzone [a t ] g m ail DOT com)

The purpose of this plugin is very simple. When someone starts a blog, there are some goals that the blogger has mentally decided upon, for e.g to make atleast 3 posts/week
, write compelling content and invoke user discussions or in terms of metrics get atleast 1 comment/post and so on. There are lot other metrics that can be tracked but there are
few metrics that can be easily derived from wordpress and where you can publicly disclose your intentions to your readers. This will have multiple benefits. It will help you as a blogger
to be on track and your readers can do their bit to provide suggestions and get those extra visitors to meet your monthly goals.

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/
if (!class_exists("DashboardZone")) {
	class DashboardZone {
		var $adminOptionsName = "DashboardZoneChartOptions";

		function DashboardZone() { //constructor
			
		}
		function init() {
		    remove_filter('the_content',  'wpautop');
			$this->getAdminOptions();

		}
		//Returns an array of admin options
		function getAdminOptions() 
		{
           $DashMeterAdminOptions = array(
    		   'avg_comments_chart_Title' => 'Average Comments/Post',
			    'avg_comments_chart_enable_link' => 'true',
				'avg_comments_chart_add_to_post' => 'false',
				'avg_comments_chart_link' => 'http://www.dashboardzone.com', 
				'avg_comments_chart_action' => 'Your comment will surely move the pointer', 
				'avg_comments_chart_options' => 
'
width: 200 
, height: 200
, min:0
, max:10
, redFrom: 0
, redTo: 1
, yellowFrom:1
, yellowTo: 4
, greenFrom:4
, greenTo:10
',
			    'avg_posts_chart_Title' => 'Average Posts/Month',
			    'avg_posts_chart_enable_link' => 'true',
				'avg_posts_chart_add_to_post' => 'false',
				'avg_posts_chart_link' => 'http://www.dashboardzone.com', 
				'avg_posts_chart_action' => 'Help me reach my monthly blog goals', 
				'avg_posts_chart_options' => 
'
width: 200 
, height: 200
, min:0
, max:10
, redFrom: 0
, redTo: 1
, yellowFrom:1
, yellowTo: 4
, greenFrom:4
, greenTo:10
',
			    'curr_posts_chart_Title' => 'Current Month Posts',
			    'curr_posts_chart_enable_link' => 'true',
				'curr_posts_chart_add_to_post' => 'false',
				'curr_posts_chart_link' => 'http://www.dashboardzone.com', 
				'curr_posts_chart_action' => 'Am I on track with my blog goals?', 
				'curr_posts_chart_options' => 
'
width: 200 
, height: 200
, min:0
, max:10
, redFrom: 0
, redTo: 1
, yellowFrom:1
, yellowTo: 4
, greenFrom:4
, greenTo:10
',
			    'curr_comments_chart_Title' => 'Comments of this Post',
			    'curr_comments_chart_enable_link' => 'true',
				'curr_comments_chart_add_to_post' => 'true',
				'curr_comments_chart_link' => 'http://www.dashboardzone.com', 
				'curr_comments_chart_action' => 'Add your opinion - this will move the pointer', 
				'curr_comments_chart_options' => 
'
width: 200 
, height: 200
, min:0
, max:10
, redFrom: 0
, redTo: 1
, yellowFrom:1
, yellowTo: 4
, greenFrom:4
, greenTo:10
',
			    'total_posts_chart_Title' => 'Total Posts',
			    'total_posts_chart_enable_link' => 'true',
				'total_posts_chart_add_to_post' => 'false',
				'total_posts_chart_link' => 'http://www.dashboardzone.com', 
				'total_posts_chart_action' => 'This is my near term blogging target', 
				'total_posts_chart_options' => 
'
width: 200 
, height: 200
, min:0
, max:250
, redFrom: 0
, redTo: 50
, yellowFrom:50
, yellowTo: 100
, greenFrom:100
, greenTo:250
'
				);
			$dashOptions = get_option($this->adminOptionsName);
			if (!empty($dashOptions)) {
				foreach ($dashOptions as $key => $option)
					$DashMeterAdminOptions[$key] = $option;
			}				
			update_option($this->adminOptionsName, $DashMeterAdminOptions);
			return $DashMeterAdminOptions;
		}

		
		function addHeaderCode() 
		{
			echo '<script type="text/javascript" src="http://www.google.com/jsapi"></script>' . "\n";

			?>
<!-- DashMeter Was Here -->
			<?php
		
		}


		

		function getChartText()
		{
$chart_code =<<<EOT
     <script type="text/javascript">
      google.load("visualization", "1", {packages:["gauge"]});
      google.setOnLoadCallback(drawChart);
      function drawChart() 
	  {
        var data = new google.visualization.DataTable();
        data.addColumn("string", "Label");
        data.addColumn("number", "Value");
        data.addRows(1);
        data.setValue(0, 0, "Total Comments");
        data.setValue(0, 1, 50);
		var chart = new google.visualization.Gauge(document.getElementById("chart_div"));
        var options = {width: 500 
, height: 200
, min:0
, max:250
, greenFrom:0
, greenTo:75
, redFrom: 90
, redTo: 250
, yellowFrom:75
, yellowTo: 90
					   };
        chart.draw(data, options);
      }
    </script>
	<a href="http://www.infocaptor.com"><div id="chart_div"></div></a>
EOT;

return $chart_code;		
		}
function getChartScript($chartType)
{
  global $wpdb;
  global $post;
  
  $dashOptions = $this->getAdminOptions();
  /*
  	$totalPosts = $wpdb->get_var("SELECT COUNT(*) FROM $wpdb->posts WHERE post_status = 'publish'");
	$totalComments = $wpdb->get_var("SELECT COUNT(*) FROM $wpdb->comments WHERE comment_approved = '1'");
	$totalPeriods = $wpdb->get_var("select count(distinct concat(monthname(post_date),year(post_date)) ) from $wpdb->posts WHERE post_status = 'publish'");
	
	$currPeriodPosts = $wpdb->get_var("select count(*)  from $wpdb->posts where concat(year(post_date),month(post_date)) = concat(year(curdate()),month(curdate()))");
	
	$averageComments = 0;
	if ($totalPosts <> 0) { $averageComments = $totalComments/$totalPosts; }
	
	$averagePostsPerPeriod = 0;
	if ($totalPeriods <> 0) { $averagePostsPerPeriod = $totalPosts/$totalPeriods; }
	
	$currPostComments = 0;
	$currPostComments = $wpdb->get_var("select count(*) from $wpdb->comments where comment_post_id=$post->ID and comment_approved='1'");
	*/
	$chart_code="test";


  if ($chartType=="AVERAGE_POSTS")
  {
   	$totalPosts = $wpdb->get_var("SELECT COUNT(*) FROM $wpdb->posts WHERE post_status = 'publish' and post_parent=0");
	$totalPeriods = $wpdb->get_var("select count(distinct concat(monthname(post_date),year(post_date)) ) from $wpdb->posts WHERE post_status = 'publish'");
	$averagePostsPerPeriod = 0;
	if ($totalPeriods <> 0) { $averagePostsPerPeriod = $totalPosts/$totalPeriods; }
	
     $averagePostsPerPeriod = number_format($averagePostsPerPeriod, 2, '.', ''); 	
  	$chart_text=$dashOptions['avg_posts_chart_action'];
	$link=$dashOptions['avg_posts_chart_link'];
	$title=$dashOptions['avg_posts_chart_Title'];
	$options="{".$dashOptions['avg_posts_chart_options']."}";
    list($firstSplit,$secondSplit,$remainder) = split(',',$options);
    $width= trim(str_replace("height","",str_replace(":","",$secondSplit)));
	$widthText=$width."px";
	
$chart_code =<<<EOT
	<div style="width:$widthText ; text-align:center;">
     <script type="text/javascript">
      google.load("visualization", "1", {packages:["gauge"]});
      google.setOnLoadCallback(drawChart);
      function drawChart() 
	  {
        var data = new google.visualization.DataTable();
        data.addColumn('string', 'Label');
        data.addColumn('number', 'Value');
        data.addRows(1);
        data.setValue(0, 0, 'Posts');
        data.setValue(0, 1, $averagePostsPerPeriod);
		var chart = new google.visualization.Gauge(document.getElementById('avg_posts_chart_div'));
        var options = {$options};
        chart.draw(data, options);
      }
    </script>
	<center><a href="$link"><div id="avg_posts_chart_div"></div></a></center>
	<div><a href="$link">$title</a></div>
	<div>$chart_text<br /></div>
	<div style="font-size:70%">get <a href="http://www.dashboardzone.com" target="_blank">dashboards</a> plugin?</div><br />
	</div>
EOT;
 
  }
else if ($chartType=="AVERAGE_COMMENTS")
  {
  	$totalPosts = $wpdb->get_var("SELECT COUNT(*) FROM $wpdb->posts WHERE post_status = 'publish' and post_parent=0");
	$totalComments = $wpdb->get_var("SELECT COUNT(*) FROM $wpdb->comments WHERE comment_approved = '1'");
	
	
	$averageComments = 0;
	if ($totalPosts <> 0) { $averageComments = $totalComments/$totalPosts; }
	
     $averageComments = number_format($averageComments, 2, '.', ''); 	
	 
  	$chart_text=$dashOptions['avg_comments_chart_action'];
	$link=$dashOptions['avg_comments_chart_link'];
	$title=$dashOptions['avg_comments_chart_Title'];
	$options="{".$dashOptions['avg_comments_chart_options']."}";
    list($firstSplit,$secondSplit,$remainder) = split(',',$options);
    $width= trim(str_replace("height","",str_replace(":","",$secondSplit)));
	$widthText=$width."px";
	
$chart_code =<<<EOT
	<div style="width:$widthText ; text-align:center;">
     <script type="text/javascript">
      google.load("visualization", "1", {packages:["gauge"]});
      google.setOnLoadCallback(drawChart);
      function drawChart() 
	  {
        var data = new google.visualization.DataTable();
        data.addColumn('string', 'Label');
        data.addColumn('number', 'Value');
        data.addRows(1);
        data.setValue(0, 0, 'Comments');
        data.setValue(0, 1, $averageComments);
		var chart = new google.visualization.Gauge(document.getElementById('avg_comments_chart_div'));
        var options = {$options};
        chart.draw(data, options);
      }
    </script>
	<center><a href="$link"><div id="avg_comments_chart_div"></div></a></center>
	<div><a href="$link">$title</a></div>
	<div>$chart_text<br /></div>
	<div style="font-size:70%">get <a href="http://www.dashboardzone.com" target="_blank">dashboards</a> plugin?</div><br />
	</div>
EOT;
 
  }
else if ($chartType=="COMMENTS_FOR_THIS_POST")
  {
	
	$currPostComments = 0;
	  if (isset($post)) 
      {
	$currPostComments = $wpdb->get_var("select count(*) from $wpdb->comments where comment_post_id=$post->ID and comment_approved='1'");
	}
	
  	$chart_text=$dashOptions['curr_comments_chart_action'];
	$link=$dashOptions['curr_comments_chart_link'];
	$title=$dashOptions['curr_comments_chart_Title'];
	$options="{".$dashOptions['curr_comments_chart_options']."}";
    list($firstSplit,$secondSplit,$remainder) = split(',',$options);
    $width= trim(str_replace("height","",str_replace(":","",$secondSplit)));
	$widthText=$width."px";
	
$chart_code =<<<EOT
	<div style="width:$widthText ; text-align:center;">
     <script type="text/javascript">
      google.load("visualization", "1", {packages:["gauge"]});
      google.setOnLoadCallback(drawChart);
      function drawChart() 
	  {
        var data = new google.visualization.DataTable();
        data.addColumn('string', 'Label');
        data.addColumn('number', 'Value');
        data.addRows(1);
        data.setValue(0, 0, 'Comments');
        data.setValue(0, 1, $currPostComments);
		var chart = new google.visualization.Gauge(document.getElementById('curr_comments_chart_div'));
        var options = {$options};
        chart.draw(data, options);
      }
    </script>
	<center><a href="$link"><div id="curr_comments_chart_div"></div></a></center>
	<div><a href="$link">$title</a></div>
	<div>$chart_text<br /></div>
	<div style="font-size:70%">get <a href="http://www.dashboardzone.com" target="_blank">dashboards</a> plugin?</div><br />
	</div>
EOT;
 
  }  
else if ($chartType=="CURRENT_MONTH_POSTS")
  {
	
	$currPeriodPosts = $wpdb->get_var("select count(*)  from $wpdb->posts where concat(year(post_date),month(post_date)) = concat(year(curdate()),month(curdate())) and post_parent=0");
	
  
  	$chart_text=$dashOptions['curr_posts_chart_action'];
	$link=$dashOptions['curr_posts_chart_link'];
	$title=$dashOptions['curr_posts_chart_Title'];
	$options="{".$dashOptions['curr_posts_chart_options']."}";
    list($firstSplit,$secondSplit,$remainder) = split(',',$options);
    $width= trim(str_replace("height","",str_replace(":","",$secondSplit)));
	$widthText=$width."px";
	
$chart_code =<<<EOT
	<div style="width:$widthText ; text-align:center;">
     <script type="text/javascript">
      google.load("visualization", "1", {packages:["gauge"]});
      google.setOnLoadCallback(drawChart);
      function drawChart() 
	  {
        var data = new google.visualization.DataTable();
        data.addColumn('string', 'Label');
        data.addColumn('number', 'Value');
        data.addRows(1);
        data.setValue(0, 0, 'Posts');
        data.setValue(0, 1, $currPeriodPosts);
		var chart = new google.visualization.Gauge(document.getElementById('curr_posts_chart_div'));
        var options = {$options};
        chart.draw(data, options);
      }
    </script>
	<center><a href="$link"><div id="curr_posts_chart_div"></div></a></center>
	<div><a href="$link">$title</a></div>
	<div>$chart_text<br /></div>
	<div style="font-size:70%">get <a href="http://www.dashboardzone.com" target="_blank">dashboards</a> plugin?</div><br />
	</div>
EOT;
 
  }
else if ($chartType=="TOTAL_POSTS")
  {
    $totalPosts = $wpdb->get_var("SELECT COUNT(*) FROM $wpdb->posts WHERE post_status = 'publish'");

  	$chart_text=$dashOptions['total_posts_chart_action'];
	$link=$dashOptions['total_posts_chart_link'];
	$title=$dashOptions['total_posts_chart_Title'];
	$options="{".$dashOptions['total_posts_chart_options']."}";
    list($firstSplit,$secondSplit,$remainder) = split(',',$options);
    $width= trim(str_replace("height","",str_replace(":","",$secondSplit)));
	$widthText=$width."px";
	
$chart_code =<<<EOT
	<div style="width:$widthText ; text-align:center;">
     <script type="text/javascript">
      google.load("visualization", "1", {packages:["gauge"]});
      google.setOnLoadCallback(drawChart);
      function drawChart() 
	  {
        var data = new google.visualization.DataTable();
        data.addColumn('string', 'Label');
        data.addColumn('number', 'Value');
        data.addRows(1);
        data.setValue(0, 0, 'Posts');
        data.setValue(0, 1, $totalPosts);
		var chart = new google.visualization.Gauge(document.getElementById('total_posts_chart_div'));
        var options = {$options};
        chart.draw(data, options);
      }
    </script>
	<center><a href="$link"><div id="total_posts_chart_div"></div></a></center>
	<div><a href="$link">$title</a></div>
	<div>$chart_text<br /></div>
	<div style="font-size:70%">get <a href="http://www.dashboardzone.com" target="_blank">dashboards</a> plugin?</div><br />
	</div>
EOT;
 
  }
  
  return $chart_code;
} 		
		function addChart2Content($content) 
		{
			$dashOptions = $this->getAdminOptions();
			//add the chart at the bottom
			//	<div style="font-size:75%">get <a href="http://www.dashboardzone.com" target="_blank">dashboard</a> plugin?</div><br />
			$new_content = str_replace("<!--tag_total_posts-->",$this->getChartScript("TOTAL_POSTS"),$content);
			$new_content = str_replace("<!--tag_current_month_posts-->",$this->getChartScript("CURRENT_MONTH_POSTS"),$new_content);
			$new_content = str_replace("<!--tag_average_posts-->",$this->getChartScript("AVERAGE_POSTS"),$new_content);
			$new_content = str_replace("<!--tag_average_comments-->",$this->getChartScript("AVERAGE_COMMENTS"),$new_content);
			
			if ($dashOptions['curr_comments_chart_add_to_post'] == "true")
			{
			  $new_content .= $this->getChartScript("COMMENTS_FOR_THIS_POST");
			}
			//$content .= $this->getChartScript("AVERAGE_COMMENTS");
			//echo $content;
			return $new_content;
		}
				


		//Prints out the admin page
		function printAdminPage() {
					$dashOptions = $this->getAdminOptions();
								
					if (isset($_POST['update_DashboardZoneSettings'])) { 
						if (isset($_POST['avg_comments_chart_Title'])) {
							$dashOptions['avg_comments_chart_Title'] = $_POST['avg_comments_chart_Title'];
						}	
						if (isset($_POST['avg_comments_chart_enable_link'])) {
							$dashOptions['avg_comments_chart_enable_link'] = $_POST['avg_comments_chart_enable_link'];
						}	
						if (isset($_POST['avg_comments_chart_add_to_post'])) {
							$dashOptions['avg_comments_chart_add_to_post'] = $_POST['avg_comments_chart_add_to_post'];
						}	
						if (isset($_POST['avg_comments_chart_link'])) {
							$dashOptions['avg_comments_chart_link'] = $_POST['avg_comments_chart_link'];
						}
						if (isset($_POST['avg_comments_chart_action'])) {
							$dashOptions['avg_comments_chart_action'] = $_POST['avg_comments_chart_action'];
						}	
						if (isset($_POST['avg_comments_chart_options'])) {
							$dashOptions['avg_comments_chart_options'] = $_POST['avg_comments_chart_options'];
						}						
//////////////
						if (isset($_POST['avg_posts_chart_Title'])) {
							$dashOptions['avg_posts_chart_Title'] = $_POST['avg_posts_chart_Title'];
						}	
						if (isset($_POST['avg_posts_chart_enable_link'])) {
							$dashOptions['avg_posts_chart_enable_link'] = $_POST['avg_posts_chart_enable_link'];
						}	
						if (isset($_POST['avg_posts_chart_add_to_post'])) {
							$dashOptions['avg_posts_chart_add_to_post'] = $_POST['avg_posts_chart_add_to_post'];
						}	
						if (isset($_POST['avg_posts_chart_link'])) {
							$dashOptions['avg_posts_chart_link'] = $_POST['avg_posts_chart_link'];
						}
						if (isset($_POST['avg_posts_chart_action'])) {
							$dashOptions['avg_posts_chart_action'] = $_POST['avg_posts_chart_action'];
						}	
						if (isset($_POST['avg_posts_chart_options'])) {
							$dashOptions['avg_posts_chart_options'] = $_POST['avg_posts_chart_options'];
						}						
///////
						if (isset($_POST['curr_posts_chart_Title'])) {
							$dashOptions['curr_posts_chart_Title'] = $_POST['curr_posts_chart_Title'];
						}	
						if (isset($_POST['curr_posts_chart_enable_link'])) {
							$dashOptions['curr_posts_chart_enable_link'] = $_POST['curr_posts_chart_enable_link'];
						}	
						if (isset($_POST['curr_posts_chart_add_to_post'])) {
							$dashOptions['curr_posts_chart_add_to_post'] = $_POST['curr_posts_chart_add_to_post'];
						}	
						if (isset($_POST['curr_posts_chart_link'])) {
							$dashOptions['curr_posts_chart_link'] = $_POST['curr_posts_chart_link'];
						}
						if (isset($_POST['curr_posts_chart_action'])) {
							$dashOptions['curr_posts_chart_action'] = $_POST['curr_posts_chart_action'];
						}	
						if (isset($_POST['curr_posts_chart_options'])) {
							$dashOptions['curr_posts_chart_options'] = $_POST['curr_posts_chart_options'];
						}						
//////////
						if (isset($_POST['curr_comments_chart_Title'])) {
							$dashOptions['curr_comments_chart_Title'] = $_POST['curr_comments_chart_Title'];
						}	
						if (isset($_POST['curr_comments_chart_enable_link'])) {
							$dashOptions['curr_comments_chart_enable_link'] = $_POST['curr_comments_chart_enable_link'];
						}	
						if (isset($_POST['curr_comments_chart_add_to_post'])) {
							$dashOptions['curr_comments_chart_add_to_post'] = $_POST['curr_comments_chart_add_to_post'];
						}	
						if (isset($_POST['curr_comments_chart_link'])) {
							$dashOptions['curr_comments_chart_link'] = $_POST['curr_comments_chart_link'];
						}
						if (isset($_POST['curr_comments_chart_action'])) {
							$dashOptions['curr_comments_chart_action'] = $_POST['curr_comments_chart_action'];
						}	
						if (isset($_POST['curr_comments_chart_options'])) {
							$dashOptions['curr_comments_chart_options'] = $_POST['curr_comments_chart_options'];
						}						
//////////
						if (isset($_POST['total_posts_chart_Title'])) {
							$dashOptions['total_posts_chart_Title'] = $_POST['total_posts_chart_Title'];
						}	
						if (isset($_POST['total_posts_chart_enable_link'])) {
							$dashOptions['total_posts_chart_enable_link'] = $_POST['total_posts_chart_enable_link'];
						}	
						if (isset($_POST['total_posts_chart_add_to_post'])) {
							$dashOptions['total_posts_chart_add_to_post'] = $_POST['total_posts_chart_add_to_post'];
						}	
						if (isset($_POST['total_posts_chart_link'])) {
							$dashOptions['total_posts_chart_link'] = $_POST['total_posts_chart_link'];
						}
						if (isset($_POST['total_posts_chart_action'])) {
							$dashOptions['total_posts_chart_action'] = $_POST['total_posts_chart_action'];
						}	
						if (isset($_POST['total_posts_chart_options'])) {
							$dashOptions['total_posts_chart_options'] = $_POST['total_posts_chart_options'];
						}							
												
												
												
												
						
						update_option($this->adminOptionsName, $dashOptions);
						
						?>
<div class="updated"><p><strong><?php _e("Settings Updated.", "DashboardZone");?></strong></p></div>
					<?php
					} ?>
<div class=wrap>
<script type="text/javascript" src="http://www.google.com/jsapi"></script>


<form method="post" action="<?php echo $_SERVER["REQUEST_URI"]; ?>">
<h2>Dashboard Zone - Set your Blog Goals and settings</h2>
<img src="http://chart.apis.google.com/chart?chs=350x125&cht=gom&chd=t:70&chl='Set and Monitor your Blog Goals'">
<p>Visit <a href="http://www.dashboardzone.com">Dashboard Zone</a> for more dashboard examples or build your own
<a href="http://www.infocaptor.com">dashboards</a>
</p>

<p><strong>Chart Options</strong>- change the size,target values such as Green range, Red range etc</p>

<p><strong>Chart Action</strong> - Any suggestion for yourself or for your readers to take action on for e.g add a useful comment.</p>

<p><strong>Chart Link</strong> - You can point the chart title or image to any URL of your choice. The default url of dashboardzone.com is just an example</p>


								
<div style="display:block;float:left;width:350px;margin: 10px 10px 0px 0px; background:#eaf6fe">
<?php echo $this->getChartScript("AVERAGE_COMMENTS"); ?>
<h4>Chart Title</h4>
<input  name="avg_comments_chart_Title" type="text" id="avg_comments_chart_Title" value="<?php _e($dashOptions['avg_comments_chart_Title'], 'DashboardZone') ?>" size="30" />

<h4>Chart Options</h4>
<textarea name="avg_comments_chart_options" rows="8" columns="4"><?php _e($dashOptions['avg_comments_chart_options'], 'DashboardZone') ?></textarea>

<h4>Chart Action</h4>
<input  name="avg_comments_chart_action" type="text" id="avg_comments_chart_action" value="<?php _e($dashOptions['avg_comments_chart_action'], 'DashboardZone') ?>" size="40" />

<h4>Chart Link</h4>
<input name="avg_comments_chart_link" type="text" id="avg_comments_chart_link"  value="<?php _e($dashOptions['avg_comments_chart_link'], 'DashboardZone') ?>" size="40" />
<!--
<h4>Enable Chart Link</h4>
<p><label for="avg_comments_chart_enable_link_yes"><input type="radio" id="avg_comments_chart_enable_link_yes" name="avg_comments_chart_enable_link" value="true" <?php if ($dashOptions['avg_comments_chart_enable_link'] == "true") { _e('checked="checked"', "DashboardZone"); }?> /> Yes</label>&nbsp;&nbsp;&nbsp;&nbsp;<label for="avg_comments_chart_enable_link_no"><input type="radio" id="avg_comments_chart_enable_link_no" name="avg_comments_chart_enable_link" value="false" <?php if ($dashOptions['avg_comments_chart_enable_link'] == "false") { _e('checked="checked"', "DashboardZone"); }?>/> No</label></p>
-->

<div style="display:block;float:right;width:250px;margin: 2px; background:white; font-size:85%;">
You can use <br /><strong>&lt;&#63;php <br />dz_average_comments_chart(); <br />&#63;&gt; </strong><br />anywhere in your template
or <br /><strong>
&lt;&#33;--tag_average_comments--&gt; </strong><br />in your post
</div>

<!--
<h4>Add to Post</h4>
<p><label for="avg_comments_chart_add_to_post_yes"><input type="radio" id="avg_comments_chart_add_to_post_yes" name="avg_comments_chart_add_to_post" value="true" <?php if ($dashOptions['avg_comments_chart_add_to_post'] == "true") { _e('checked="checked"', "DashboardZone"); }?> /> Yes</label>&nbsp;&nbsp;&nbsp;&nbsp;<label for="avg_comments_chart_add_to_post_no"><input type="radio" id="avg_comments_chart_add_to_post" name="avg_comments_chart_add_to_post" value="false" <?php if ($dashOptions['avg_comments_chart_add_to_post'] == "false") { _e('checked="checked"', "DashboardZone"); }?>/> No</label></p>
-->
</div>

<!---->
<div style="display:block;float:left;width:350px;clear:right;margin: 10px 10px 0px 0px; background:#eaaafe">
<?php echo $this->getChartScript("AVERAGE_POSTS"); ?>
<h4>Chart Title</h4>
<input  name="avg_posts_chart_Title" type="text" id="avg_posts_chart_Title" value="<?php _e($dashOptions['avg_posts_chart_Title'], 'DashboardZone') ?>" size="30" />

<h4>Chart Options</h4>
<textarea name="avg_posts_chart_options" rows="8" columns="4"><?php _e($dashOptions['avg_posts_chart_options'], 'DashboardZone') ?></textarea>

<h4>Chart Action</h4>
<input  name="avg_posts_chart_action" type="text" id="avg_posts_chart_action" value="<?php _e($dashOptions['avg_posts_chart_action'], 'DashboardZone') ?>" size="40" />

<h4>Chart Link</h4>
<input name="avg_posts_chart_link" type="text" id="avg_posts_chart_link"  value="<?php _e($dashOptions['avg_posts_chart_link'], 'DashboardZone') ?>" size="40" />

<!--
<h4>Enable Chart Link</h4>
<p><label for="avg_posts_chart_enable_link_yes"><input type="radio" id="avg_posts_chart_enable_link_yes" name="avg_posts_chart_enable_link" value="true" <?php if ($dashOptions['avg_posts_chart_enable_link'] == "true") { _e('checked="checked"', "DashboardZone"); }?> /> Yes</label>&nbsp;&nbsp;&nbsp;&nbsp;<label for="avg_posts_chart_enable_link_no"><input type="radio" id="avg_posts_chart_enable_link_no" name="avg_posts_chart_enable_link" value="false" <?php if ($dashOptions['avg_posts_chart_enable_link'] == "false") { _e('checked="checked"', "DashboardZone"); }?>/> No</label></p>
-->

<div style="display:block;float:right;width:250px;margin: 2px; background:white; font-size:85%;">
You can use <br /><strong>&lt;&#63;php <br />dz_average_posts_chart(); <br />&#63;&gt; </strong><br />anywhere in your template
or <br /><strong>
&lt;&#33;--tag_average_posts--&gt; </strong><br />in your post
</div>
<!--
<h4>Add to Post</h4>
<p><label for="avg_posts_chart_add_to_post_yes"><input type="radio" id="avg_posts_chart_add_to_post_yes" name="avg_posts_chart_add_to_post" value="true" <?php if ($dashOptions['avg_posts_chart_add_to_post'] == "true") { _e('checked="checked"', "DashboardZone"); }?> /> Yes</label>&nbsp;&nbsp;&nbsp;&nbsp;<label for="avg_posts_chart_add_to_post_no"><input type="radio" id="avg_posts_chart_add_to_post" name="avg_posts_chart_add_to_post" value="false" <?php if ($dashOptions['avg_posts_chart_add_to_post'] == "false") { _e('checked="checked"', "DashboardZone"); }?>/> No</label></p>
-->
</div>

<!----->
<div style="display:block;float:left; width:350px;margin: 10px 10px 0px 0px; background:#aaa6fe">
<?php echo $this->getChartScript("CURRENT_MONTH_POSTS"); ?>
<h4>Chart Title</h4>
<input  name="curr_posts_chart_Title" type="text" id="curr_posts_chart_Title" value="<?php _e($dashOptions['curr_posts_chart_Title'], 'DashboardZone') ?>" size="30" />

<h4>Chart Options</h4>
<textarea name="curr_posts_chart_options" rows="8" columns="4"><?php _e($dashOptions['curr_posts_chart_options'], 'DashboardZone') ?></textarea>

<h4>Chart Action</h4>
<input  name="curr_posts_chart_action" type="text" id="curr_posts_chart_action" value="<?php _e($dashOptions['curr_posts_chart_action'], 'DashboardZone') ?>" size="40" />

<h4>Chart Link</h4>
<input name="curr_posts_chart_link" type="text" id="curr_posts_chart_link"  value="<?php _e($dashOptions['curr_posts_chart_link'], 'DashboardZone') ?>" size="40" />

<!--
<h4>Enable Chart Link</h4>
<p><label for="curr_posts_chart_enable_link_yes"><input type="radio" id="curr_posts_chart_enable_link_yes" name="curr_posts_chart_enable_link" value="true" <?php if ($dashOptions['curr_posts_chart_enable_link'] == "true") { _e('checked="checked"', "DashboardZone"); }?> /> Yes</label>&nbsp;&nbsp;&nbsp;&nbsp;<label for="curr_posts_chart_enable_link_no"><input type="radio" id="curr_posts_chart_enable_link_no" name="curr_posts_chart_enable_link" value="false" <?php if ($dashOptions['curr_posts_chart_enable_link'] == "false") { _e('checked="checked"', "DashboardZone"); }?>/> No</label></p>
-->

<div style="display:block;float:right;width:250px;margin: 2px; background:white; font-size:85%;">

You can use <br /><strong>&lt;&#63;php <br />dz_current_month_posts_chart(); <br />&#63;&gt; </strong><br />anywhere in your template or <br /><strong>
&lt;&#33;--tag_current_month_posts--&gt; </strong><br />in your post
</div>
<!--
<h4>Add to Post</h4>
<p><label for="curr_posts_chart_add_to_post_yes"><input type="radio" id="curr_posts_chart_add_to_post_yes" name="curr_posts_chart_add_to_post" value="true" <?php if ($dashOptions['curr_posts_chart_add_to_post'] == "true") { _e('checked="checked"', "DashboardZone"); }?> /> Yes</label>&nbsp;&nbsp;&nbsp;&nbsp;<label for="curr_posts_chart_add_to_post_no"><input type="radio" id="curr_posts_chart_add_to_post" name="curr_posts_chart_add_to_post" value="false" <?php if ($dashOptions['curr_posts_chart_add_to_post'] == "false") { _e('checked="checked"', "DashboardZone"); }?>/> No</label></p>
-->
</div>

<!----->

<div style="display:block;float:left;width:350px;margin: 10px 10px 0px 0px; background:#E3FAE3">
<?php echo $this->getChartScript("COMMENTS_FOR_THIS_POST"); ?>
<h4>Chart Title</h4>
<input  name="curr_comments_chart_Title" type="text" id="curr_comments_chart_Title" value="<?php _e($dashOptions['curr_comments_chart_Title'], 'DashboardZone') ?>" size="30" />

<h4>Chart Options</h4>
<textarea name="curr_comments_chart_options" rows="8" columns="4"><?php _e($dashOptions['curr_comments_chart_options'], 'DashboardZone') ?></textarea>

<h4>Chart Action</h4>
<input  name="curr_comments_chart_action" type="text" id="curr_comments_chart_action" value="<?php _e($dashOptions['curr_comments_chart_action'], 'DashboardZone') ?>" size="40" />

<h4>Chart Link</h4>
<input name="curr_comments_chart_link" type="text" id="curr_comments_chart_link"  value="<?php _e($dashOptions['curr_comments_chart_link'], 'DashboardZone') ?>" size="40" />


<!--
<h4>Enable Chart Link</h4>
<p><label for="curr_comments_chart_enable_link_yes"><input type="radio" id="curr_comments_chart_enable_link_yes" name="curr_comments_chart_enable_link" value="true" <?php if ($dashOptions['curr_comments_chart_enable_link'] == "true") { _e('checked="checked"', "DashboardZone"); }?> /> Yes</label>&nbsp;&nbsp;&nbsp;&nbsp;<label for="curr_comments_chart_enable_link_no"><input type="radio" id="curr_comments_chart_enable_link_no" name="curr_comments_chart_enable_link" value="false" <?php if ($dashOptions['curr_comments_chart_enable_link'] == "false") { _e('checked="checked"', "DashboardZone"); }?>/> No</label></p>
-->

<div style="display:block;float:right;width:250px;margin: 2px; background:white; font-size:85%;">
If you select 'Yes' then every post will have its own Meter representing the comments on that post. If you select 'No', you can still add the following template tag <br /><strong> &lt;&#63;php <br />dz_comments_for_this_post_chart(); <br />&#63;&gt; </strong>
</div>

<h4>Add to Post</h4>
<p><label for="curr_comments_chart_add_to_post_yes"><input type="radio" id="curr_comments_chart_add_to_post_yes" name="curr_comments_chart_add_to_post" value="true" <?php if ($dashOptions['curr_comments_chart_add_to_post'] == "true") { _e('checked="checked"', "DashboardZone"); }?> /> Yes</label>&nbsp;&nbsp;&nbsp;&nbsp;<label for="curr_comments_chart_add_to_post_no"><input type="radio" id="curr_comments_chart_add_to_post" name="curr_comments_chart_add_to_post" value="false" <?php if ($dashOptions['curr_comments_chart_add_to_post'] == "false") { _e('checked="checked"', "DashboardZone"); }?> /> No</label></p>

</div>
<!----->

<div style="display:block;float:left;width:350px;margin: 10px 10px 0px 0px; background:#FDD493">
<?php echo $this->getChartScript("TOTAL_POSTS"); ?>
<h4>Chart Title</h4>
<input  name="total_posts_chart_Title" type="text" id="total_posts_chart_Title" value="<?php _e($dashOptions['total_posts_chart_Title'], 'DashboardZone') ?>" size="30" />

<h4>Chart Options</h4>
<textarea name="total_posts_chart_options" rows="8" columns="4"><?php _e($dashOptions['total_posts_chart_options'], 'DashboardZone') ?></textarea>

<h4>Chart Action</h4>
<input  name="total_posts_chart_action" type="text" id="total_posts_chart_action" value="<?php _e($dashOptions['total_posts_chart_action'], 'DashboardZone') ?>" size="40" />

<h4>Chart Link</h4>
<input name="total_posts_chart_link" type="text" id="total_posts_chart_link"  value="<?php _e($dashOptions['total_posts_chart_link'], 'DashboardZone') ?>" size="40" />

<!--
<h4>Enable Chart Link</h4>
<p><label for="total_posts_chart_enable_link_yes"><input type="radio" id="total_posts_chart_enable_link_yes" name="total_posts_chart_enable_link" value="true" <?php if ($dashOptions['total_posts_chart_enable_link'] == "true") { _e('checked="checked"', "DashboardZone"); }?> /> Yes</label>&nbsp;&nbsp;&nbsp;&nbsp;<label for="total_posts_chart_enable_link_no"><input type="radio" id="total_posts_chart_enable_link_no" name="total_posts_chart_enable_link" value="false" <?php if ($dashOptions['total_posts_chart_enable_link'] == "false") { _e('checked="checked"', "DashboardZone"); }?>/> No</label></p>
-->


<div style="display:block;float:right;width:250px;margin: 2px; background:white; font-size:85%;">
You can use <strong>&lt;&#63;php dz_total_posts_chart(); &#63;&gt; </strong>anywhere in your template or <br /><strong>
&lt;&#33;--tag_total_posts--&gt; </strong><br />in your post
</div>
<!--
<h4>Add to Post</h4>
<p><label for="total_posts_chart_add_to_post_yes"><input type="radio" id="total_posts_chart_add_to_post_yes" name="total_posts_chart_add_to_post" value="true" <?php if ($dashOptions['total_posts_chart_add_to_post'] == "true") { _e('checked="checked"', "DashboardZone"); }?> DISABLED/> Yes</label>&nbsp;&nbsp;&nbsp;&nbsp;<label for="total_posts_chart_add_to_post_no"><input type="radio" id="total_posts_chart_add_to_post" name="total_posts_chart_add_to_post" value="false" <?php if ($dashOptions['total_posts_chart_add_to_post'] == "false") { _e('checked="checked"', "DashboardZone"); }?>DISABLED/> No</label></p>
-->
</div>
<div style="display:block;width:700px;clear:both;">
<div class="submit">
<input type="submit" name="update_DashboardZoneSettings" value="<?php _e('Update Settings', 'DashboardZone') ?>" />
</div>
</div>

</form>


<p><Strong>Template Tags</strong></p>
<table cellspacing="0" border="1" width="100%" cellpadding="3">
<tr>
<th>Chart</th> <th>Template Tag</th> <th>Content Tag</th>
</tr>
<tr>
  <td>Average Comments/Post</td>
  <td>
    &lt;&#63;php if (function_exists('dz_average_comments_chart')) { dz_average_comments_chart(); } &#63;&gt;
  </td>
  <td>
    &lt;&#33;--tag_average_comments--&gt;
  </td>
</tr>
<tr>
  <td>Average Posts/Month</td>
  <td>
    &lt;&#63;php if (function_exists('dz_average_posts_chart')) { dz_average_posts_chart(); } &#63;&gt;
  </td>
  <td>
    &lt;&#33;--tag_average_posts--&gt;
  </td>
</tr>

<tr>
  <td>Current Month Posts</td>
  <td>
    &lt;&#63;php if (function_exists('dz_current_month_posts_chart')) { dz_current_month_posts_chart(); } &#63;&gt;
  </td>
  <td>
    &lt;&#33;--tag_current_month_posts--&gt;
  </td>
</tr>

<tr>
  <td>Comments for this article</td>
  <td>
    &lt;&#63;php if (function_exists('dz_comments_for_this_post_chart')) { dz_comments_for_this_post_chart(); } &#63;&gt;
	<p>
	If you select 'Yes' for the 'Add to Post' option below then it is not required to use the above tag in your template.
	</p>
  </td>
  <td>
    No special content tags. Just select 'Yes' for "Add to Post" option for this chart.
  </td>
</tr>

<tr>
  <td>Total Posts</td>
  <td>
    &lt;&#63;php if (function_exists('dz_total_posts_chart')) { dz_total_posts_chart(); } &#63;&gt;
  </td>
  <td>
    &lt;&#33;--tag_total_posts--&gt;
  </td>
</tr>
  
</thead>
</table>

 </div>
					<?php
				}//End function printAdminPage()
				
	
	}

} //End Class DashboardZone

if (class_exists("DashboardZone")) 
{
	$blogDash = new DashboardZone();
}

//Initialize the admin and users panel
if (!function_exists("DashboardZone_ap")) 
{
	function DashboardZone_ap() {
		global $blogDash;
		if (!isset($blogDash)) {
			return;
		}
		if (function_exists('add_options_page')) 
		{
	add_options_page('Dashboard Zone', 'Dashboard Zone', 10, basename(__FILE__), array(&$blogDash, 'printAdminPage'));
		}
		
	}	
}

//Actions and Filters	
if (isset($blogDash)) {
	//Actions
	add_action('admin_menu', 'DashboardZone_ap');
	add_action('wp_head', array(&$blogDash, 'addHeaderCode'), 1);
	add_action('activate_DashboardZone/DashboardZone.php',  array(&$blogDash, 'init'));
	//Filters
	remove_filter('the_content',  'wpautop');
	add_filter('the_content', array(&$blogDash, 'addChart2Content'),1); 
//	add_filter('get_comment_author', array(&$blogDash, 'authorUpperCase'));
}

//Total number of articles divided by total number of periods
function dz_average_posts_chart()
{
  global $blogDash;

  if (isset($blogDash)) 
  {
    echo $blogDash->getChartScript("AVERAGE_POSTS");
  }

}

//Total count of all posts
function dz_total_posts_chart()
{
  global $blogDash;

  if (isset($blogDash)) 
  {
    echo $blogDash->getChartScript("TOTAL_POSTS");
  }

}

//Total comments for blog divided by total posts for the blog
function dz_average_comments_chart()
{
  global $blogDash;

  if (isset($blogDash)) 
  {
    echo $blogDash->getChartScript("AVERAGE_COMMENTS");
  }

}

//Comments for the current posts. This will be displayed on each post
function dz_comments_for_this_post_chart()
{
  global $blogDash;

  if (isset($blogDash)) 
  {
    echo $blogDash->getChartScript("COMMENTS_FOR_THIS_POST");
  }

}

//Total posts for current month. For e.g if the current month is September-08 then it will show the total posts for september
function dz_current_month_posts_chart()
{
  global $blogDash;

  if (isset($blogDash)) 
  {
    echo $blogDash->getChartScript("CURRENT_MONTH_POSTS");
  }

}

/*
function sample_function() {
	global $wpdb;
	$comments = $wpdb->get_row("SELECT count(comment_approved) comments_count FROM $wpdb->comments where comment_approved = '1' group by comment_approved", ARRAY_A);
	echo $comments['comments_count'];
}
sample_function();
*/
?>